# eric5.Helpviewer.CookieJar.CookieModel

Module implementing the cookie model.

### Global Attributes

None

### Classes

CookieModel | Class implementing the cookie model.

### Functions

None

## CookieModel

Class implementing the cookie model.

### Derived from

QAbstractTableModel

### Class Attributes

None

### Class Methods

None

### Methods

CookieModel | Constructor
__cookiesChanged | Private slot handling changes of the cookies list in the cookie jar.
columnCount | Public method to get the number of columns of the model.
data | Public method to get data from the model.
headerData | Public method to get header data from the model.
removeRows | Public method to remove entries from the model.
rowCount | Public method to get the number of rows of the model.

### Static Methods

None

#### CookieModel (Constructor)

CookieModel(cookieJar, parent=None)

Constructor

cookieJar
  reference to the cookie jar (CookieJar)
parent
  reference to the parent object (QObject)

#### CookieModel.__cookiesChanged

__cookiesChanged()

Private slot handling changes of the cookies list in the cookie jar.

#### CookieModel.columnCount

columnCount(parent=QModelIndex())

Public method to get the number of columns of the model.

parent
  parent index (QModelIndex)

Returns:
  number of columns (integer)

#### CookieModel.data

data(index, role)

Public method to get data from the model.

index
  index to get data for (QModelIndex)
role
  role of the data to retrieve (integer)

Returns:
  requested data

#### CookieModel.headerData

headerData(section, orientation, role)

Public method to get header data from the model.

section
  section number (integer)
orientation
  orientation (Qt.Orientation)
role
  role of the data to retrieve (integer)

Returns:
  requested data

#### CookieModel.removeRows

removeRows(row, count, parent=QModelIndex())

Public method to remove entries from the model.

row
  start row (integer)
count
  number of rows to remove (integer)
parent
  parent index (QModelIndex)

Returns:
  flag indicating success (boolean)

#### CookieModel.rowCount

rowCount(parent=QModelIndex())

Public method to get the number of rows of the model.

parent
  parent index (QModelIndex)

Returns:
  number of columns (integer)

Up